package com.ruoyi.ems.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

/**
 * 光伏电价配置对象 adm_pv_elecprice_config
 * 
 * @author ruoyi
 * @date 2024-08-19
 */
public class ElecPvPriceConfig extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 序号 */
    private Long id;

    /** 配置代码 */
    @Excel(name = "配置代码")
    private String cfgCode;

    /** 价格名称 */
    @Excel(name = "价格名称")
    private String priceName;

    /** 对象价格 */
    @Excel(name = "对象价格")
    private Double objPrice;

    /** 国家补贴 */
    @Excel(name = "国家补贴")
    private Double stateSubsidy;

    /** 地方补贴 */
    @Excel(name = "地方补贴")
    private Double localSubsidy;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setCfgCode(String cfgCode) 
    {
        this.cfgCode = cfgCode;
    }

    public String getCfgCode() 
    {
        return cfgCode;
    }
    public void setPriceName(String priceName) 
    {
        this.priceName = priceName;
    }

    public String getPriceName() 
    {
        return priceName;
    }

    public Double getObjPrice() {
        return objPrice;
    }

    public void setObjPrice(Double objPrice) {
        this.objPrice = objPrice;
    }

    public Double getStateSubsidy() {
        return stateSubsidy;
    }

    public void setStateSubsidy(Double stateSubsidy) {
        this.stateSubsidy = stateSubsidy;
    }

    public Double getLocalSubsidy() {
        return localSubsidy;
    }

    public void setLocalSubsidy(Double localSubsidy) {
        this.localSubsidy = localSubsidy;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("cfgCode", getCfgCode())
            .append("priceName", getPriceName())
            .append("objPrice", getObjPrice())
            .append("stateSubsidy", getStateSubsidy())
            .append("localSubsidy", getLocalSubsidy())
            .toString();
    }
}
